Subject: RE: [Ips] FW: Initial review of http://www.ietf.org/internet-draf ts/draft-i

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sat, 7 Feb 2004 00:03:34 +0100

> > ./FC-MGMT-MIB:62: [5] {type-without-format} warning: type 
> `DomainIdOrZero' has no format specification
> > ./FC-MGMT-MIB:94: [5] {type-without-format} warning: type 
> `FcBbCredit' has no format specification
> > ./FC-MGMT-MIB:106: [5] {type-without-format} warning: type 
> `FcDataFieldSize' has no format specification
> > ./FC-MGMT-MIB:171: [5] {type-without-format} warning: type 
> `PhysicalIndexOrZero' has no format specification
> > ./FC-MGMT-MIB:181: [5] {type-without-format} warning: type 
> `HrSWInstalledIndexOrZero' has no format specification
> > ./FC-MGMT-MIB:192: [5] {type-without-format} warning: type 
> `MilliSeconds' has no format specification
> > ./FC-MGMT-MIB:198: [5] {type-without-format} warning: type 
> `MicroSeconds' has no format specification
> 
> It seems to me like the compiler has a bug here, since all of these are, or
> have a TC as their syntax and for all but two of them, the TC is defined 
> with a range, e.g., DomainIdOrZero is defined as:
> 
>   DomainIdOrZero ::= TEXTUAL-CONVENTION
>       STATUS current
>       DESCRIPTION
>             "The Domain Id (of a FC switch), or zero if the no Domain Id
>             has been assigned."
>       SYNTAX  Integer32 (0..239)
> 
> The two exceptions are MilliSeconds and MicroSeconds which are both
> Unsigned32 and the inherent (0..4294967295) is correct for both.
>  
I think that the warning means that a DISPLAY-HINT is missing !

Let me add, that I find the name DomaiainIdOrZero a pretty generic name
and that the description clause seems to limit it to an FC switch.

Maybe all (or most) of your TCs should have a name (descriptor) that
starts with FcXxxx

> > Diagnostics from MIB Smithy 2.4.2
> > 
> > 
> [FC-MGMT-MIB:fcmgmtCompliance:FC-MGMT-MIB:fcmInstanceSoftwareI
> ndex] : warning : SYNTAX in variation and OBJECT-TYPE differ 
> in type names 'Integer32' and 'HrSWInstalledIndexOrZero'.
> > 
> [FC-MGMT-MIB:fcmgmtCompliance:FC-MGMT-MIB:fcmInstancePhysicalI
> ndex] : warning : SYNTAX in variation and OBJECT-TYPE differ 
> in type names 'Integer32' and 'PhysicalIndexOrZero'.
> 
> Yes, but both HrSWInstalledIndexOrZero and PhysicalIndexOrZero are TCs
> which have Integer32 as their underlying syntax.
> 
But I think you know very well that we do not want this, do we?
WHy not be explicit.

By the way, I am not sure it is wise to name it HrSWInstalledIndexOrZero
If we start down this path, collisions with TCs in the Hr-MIB can easily
occur in the future. Why not FcHr....

more later

Bert

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips